
import { JsonUtil } from "db://oops-framework/core/utils/JsonUtil";

export class TableGrid {
    static TableName: string = "Grid";

    private data: any;

    init(id: number) {
        var table = JsonUtil.get(TableGrid.TableName);
        this.data = table[id];
        this.id = id;
    }

    /** 编号【KEY】 */
    id: number = 0;

    /** 方块名 */
    get name(): string {
        return this.data.name;
    }
    /** 是否可以旋转 */
    get rotateTag(): number {
        return this.data.rotateTag;
    }
    /** 行 */
    get gridConfig(): any {
        return this.data.gridConfig;
    }
}
    